Bug 1612847 - anki-2.1.13 is available
Summary: anki-2.1.13 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anki
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Drake-Brockman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1701691 1711647
TreeView+ depends on / blocked
 
Reported: 2018-08-06 12:14 UTC by Upstream Release Monitoring
Modified: 2019-07-06 10:57 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-06 10:53:38 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-08-06 12:14:58 UTC
Latest upstream release: 2.1.0
Current version/release in rawhide: 2.0.52-2.fc29
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 1 Upstream Release Monitoring 2018-08-09 12:14:43 UTC
Latest upstream release: 2.1.1
Current version/release in rawhide: 2.0.52-2.fc29
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 2 mastaiza 2018-12-23 12:52:34 UTC
anki-2.1.0 is available → anki-2.1.7 is available

Comment 3 Christian Krause 2018-12-24 09:12:24 UTC
The new anki 2.1.x bundles various JavaScript projects which licenses need to be verified to be acceptable for Fedora. Any help with sorting out the licenses would be appreciated.

Comment 4 Thomas Drake-Brockman 2018-12-24 10:30:24 UTC
@chkr, Could you make a list of the projects/licenses so we can work through it?

Comment 5 Christian Krause 2018-12-30 18:28:07 UTC
@thom, the tarball can be found here: https://apps.ankiweb.net/downloads/current/anki-2.1.7-source.tgz

- as far as I can see, the LICENSE file still describes the various licenses (source itself, logo, translation, template system, ...) correctly
from the spec file:
License:        AGPLv3+ and GPLv3+ and MIT and BSD

- the open items are the licenses of the various JavaScript files (they are in the tarball in web/ and its sub-folders)

- so we should check all *.js files to get the list of licenses, then we have to double-check them for incompatibilities (probably get the OK from fedora-legal) and, if necessary, the lLicense tag in the spec file must be updated and the license change announced (https://fedoraproject.org/wiki/Licensing:Main#License_Changes)

Comment 6 Christian Krause 2019-01-01 21:20:42 UTC
Here is a scratch-build of anki 2.1.7 which should be pretty much complete besides the review of the licenses:

https://koji.fedoraproject.org/koji/taskinfo?taskID=31762782

Comment 7 Upstream Release Monitoring 2019-02-20 06:01:13 UTC
Latest upstream release: 2.1.9
Current version/release in rawhide: 2.0.52-3.fc30
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 8 Upstream Release Monitoring 2019-03-07 10:52:43 UTC
Latest upstream release: 2.1.10
Current version/release in rawhide: 2.0.52-3.fc30
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 9 Upstream Release Monitoring 2019-03-11 05:15:47 UTC
Latest upstream release: 2.1.11
Current version/release in rawhide: 2.0.52-3.fc30
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 10 Upstream Release Monitoring 2019-04-23 01:02:49 UTC
Latest upstream release: 2.1.12
Current version/release in rawhide: 2.0.52-3.fc30
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 11 Christian Krause 2019-05-04 17:30:51 UTC
Another preliminary scratch build for the latest anki version: https://koji.fedoraproject.org/koji/taskinfo?taskID=34625882

Comment 12 Christian Krause 2019-05-07 05:56:37 UTC
I'm setting this bug report to block FE-Legal in order to get confirmation that my findings regarding the licenses are OK and acceptable for Fedora:


The new major version of anki 2.1.x includes some new files with new licenses. Upstream has updated the LICENSE file(s) accordingly.

IMHO this would result in the following License tag in the spec file:

License:        AGPLv3+ and GPLv3+ and LGPLv3+ and MIT and BSD and ASL 2.0 and CC-BY-SA and CC-BY

Please can FE-Legal confirm, that this combination of licenses is OK?


As reference, here are the relevant snippets of the two license files:

1. LICENSE
[...]
The following included source code items use a license other than AGPL3:

 * Anki's translations: BSD.
 * Qt's bundled translations: LGPL3.
 * The anki/template/ folder is based off pystache: MIT.
 * The SuperMemo importer: GPL3.
 * The Pauker importer: BSD-3.
 * mpv.py: MIT.
 * statsbg.py: CC BY-SA 3.0.
 * winpaths.py: MIT.
 * MathJax: Apache 2.
 * jQuery and jQuery-UI: MIT.
 * browsersel.js: CC BY 2.5.
 * plot.js: MIT.

[...]

2. LICENSE.logo:
[...]
Anki's logo is copyright Alex Fraser, and is licensed under the AGPL3 like the
[...]

The official source of the tarball which includes the complete license files can be found here: https://apps.ankiweb.net/downloads/current/anki-2.1.12-source.tgz

Comment 13 Upstream Release Monitoring 2019-05-20 05:00:31 UTC
Latest upstream release: 2.1.13
Current version/release in rawhide: 2.0.52-3.fc30
URL: https://apps.ankiweb.net/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/49/

Comment 14 Tom "spot" Callaway 2019-06-06 13:22:12 UTC
Yes, this combination of licenses, as used in this package is fine. Apologies for the long delay.

Comment 15 Fedora Update System 2019-06-07 10:12:51 UTC
FEDORA-2019-d45f5e8729 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d45f5e8729

Comment 16 Fedora Update System 2019-06-07 10:13:53 UTC
FEDORA-2019-5778ae630c has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5778ae630c

Comment 17 Fedora Update System 2019-06-08 00:51:02 UTC
anki-2.1.13-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d45f5e8729

Comment 18 Fedora Update System 2019-06-08 03:00:32 UTC
anki-2.1.13-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5778ae630c

Comment 19 Fedora Update System 2019-06-17 18:27:50 UTC
anki-2.1.13-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-06-17 23:33:19 UTC
anki-2.1.13-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.